import { ChangeSet, Extension } from "@codemirror/state";
import { RecorderPlugin, ReplayDataRecorder } from "@liqvid/recording";
/** Capture data from CodeMirror typing. Either changes or key presses. */
declare type CaptureData = [ChangeSet, ...number[][]] | string;
/** Record CodeMirror */
declare class KeyRecorder extends ReplayDataRecorder<CaptureData> {
    constructor();
    /**
     * Get extensions to record typing and special key presses
     * @param keys Key sequences to record
     * @returns Array of {@link Extension}s to pass to CodeMirror
     */
    extensions(keys?: string[]): Extension[];
}
export declare const CodeRecordingPlugin: RecorderPlugin<CaptureData, CaptureData[], KeyRecorder>;
export {};
